I learned that to get applications on my firmware 1.1.2 ipod touch that I would need to downgrade to firmware 1.1.1, but I used the firmware for iphone and kept getting error 5. Please help me get the firmware 1.1.1 for ipod touch.